function lgraph = AlexnetFeatureExtractor(net, imageInputSize)
% The AlexnetFeatureExtractor function removes the layers after 'relu5'
% in Alexnet and also removes any data normalization used by the image input layer.

% Convert to layerGraph.
lgraph = net.Layers(2:end-11);

inputLayer = imageInputLayer(imageInputSize,'Normalization','none','Name','data');
lgraph = [inputLayer; lgraph];
end

