function lgraph = GooglenetFeatureExtractor(net, imageInputSize)
% The GooglenetFeatureExtractor function removes the layers after 'inception_5b-output'
% in GoogLeNet and also removes any data normalization used by the image input layer.

% Convert to layerGraph.
lgraph = layerGraph(net);

lgraph = removeLayers(lgraph, {'pool5-7x7_s1' 'pool5-drop_7x7_s1' 'loss3-classifier' 'prob' 'output'});
inputLayer = imageInputLayer(imageInputSize,'Normalization','none','Name','data');
lgraph = replaceLayer(lgraph,'data',inputLayer);
end

