function lgraph = Resnet50FeatureExtractor(net, imageInputSize)
% The Resnet50FeatureExtractor function removes the layers after 'add_16'
% in Resnet50 and also removes any data normalization used by the image input layer.

% Convert to layerGraph.
lgraph = layerGraph(net);

lgraph = removeLayers(lgraph, {'activation_49_relu' 'avg_pool' 'fc1000' 'fc1000_softmax' 'ClassificationLayer_fc1000'});
inputLayer = imageInputLayer(imageInputSize,'Normalization','none','Name','data');
lgraph = replaceLayer(lgraph,'input_1',inputLayer);
end

