function data = PreprocessDatastore(data, Input_size)
    boxEstimate=round(data{2});
    boxEstimate(:,1)=max(boxEstimate(:,1),1);
    boxEstimate(:,2)=max(boxEstimate(:,2),1);
    data{2} = boxEstimate;
    for ii = 1:size(data,1)
        I = data{ii,1};
        imgSize = size(I);

        % Convert an input image with single channel to 3 channels.
        if numel(imgSize) < 3
            I = repmat(I,1,1,3);
        end
        bboxes = data{ii,2};

        I = im2single(imresize(I,Input_size(1:2)));
        scale = Input_size(1:2)./imgSize(1:2);
        bboxes = bboxresize(bboxes,scale);

        data(ii, 1:2) = {I, bboxes};
    end
end