% Load Alexnet YOlOv3
Yolov3 = load('Detector_Darknet_Yolov2.mat','Detector_Objetos');
net = Yolov3.Detector_Objetos;

% Elegimos el video
N = 3;
% Cargamos el video
videoObject = VideoReader(strcat('VID000',num2str(N),'.mp4'));

% Creamos el video de salida
VideoSalida = VideoWriter(strcat('VideoDetectado_Darknet_Yolov2_000',num2str(N)),'MPEG-4'); VideoSalida.FrameRate = videoObject.FrameRate; open(VideoSalida);

fps = 0;
avgfps = [];
% Extract the frame from the movie structure.
for i=1:videoObject.NumFrames
    % Leemos el frame actual
    thisFrame = read(videoObject, i);
    % Redimensionamos el frame a la entrada de la red YOLO
    thisFrame = imresize(thisFrame,[224 224]);
    
    tic;
    
    % Detectamos los objetos del frame
    [bbox, score, label] = detect(net,thisFrame);
        
    newt = toc;
    fps = .9*fps + .1*(1/newt);
    avgfps = [avgfps; fps];
    
    % Si encuentra el elemento, inserta la bounding box y la etiqueta
    if (~isempty(bbox))
        thisFrame = insertObjectAnnotation(thisFrame,'rectangle',bbox,label);
    end
    % Guardamos las imagenes detectadas en el video de salida
    writeVideo(VideoSalida,thisFrame);
end

Framerate = CalculoMediaFps(avgfps);
Texto = ['Fps = ',num2str(Framerate)];
disp(Texto);
close(VideoSalida);