% Load Googlenet YOlOv3
Yolov3 = load('Detector_Googlenet.mat','net');
net = Yolov3.net;


% Choose video for detection
N = 3;
% Loading video chosen
videoObject = VideoReader(strcat('VID000',num2str(N),'.mp4'));

% Creating output video
OutputVideo = VideoWriter(strcat('Googlenet_YoloV3_DetectedVideo_000',num2str(N)),'MPEG-4'); OutputVideo.FrameRate = videoObject.FrameRate; open(OutputVideo);

fps = 0;
avgfps = [];

% Extract the frame from the movie structure.
for i=1:videoObject.NumFrames
    % Reading frame
    thisFrame = read(videoObject, i);
    thisFrame = imresize(thisFrame,[224 224]);

    tic;
     
    % Detecting objects on frame
    [bbox, score, label] = detect(net,thisFrame);
    
    newt = toc;
    fps = .9*fps + .1*(1/newt);
    avgfps = [avgfps; fps];
    
    % if object found, it inserts the bbox and label
    if (~isempty(score))
        thisFrame = insertObjectAnnotation(thisFrame,'rectangle',bbox,label); 
    end

    % Saving frame on outputVideo
    writeVideo(OutputVideo,thisFrame);

end

Framerate = CalculoMediaFps(avgfps);
Texto = ['Fps = ',num2str(Framerate)];
disp(Texto);

close(OutputVideo);